Subject: bug#71085: text-scale-adjust does not adjust margin width

From: Drew Adams <[email-masked]>
Date: Tue, 21 May 2024 16:14:35 +0000

> tags 71085 notabug

> I don't understand the expectations: the window and frame geometry are
> not changed by text-scale-adjust, so why did you expect the window
> margins to change?  The margins are part of the window geometry.
> 
> Since Emacs 29.1, we have global-text-scale-adjust-resizes-frames,
> which, if non-nil, causes the frame to resize when you change the
> text-size globally (e.g., with C-M-+ or C-M-mouse-wheel).  If you do
> that, the window-margins resize as well, which in this case is indeed
> expected (and works for me).

> I see no bug here.

FWIW, I've previously proposed an optional enhancement
of resizing the window when you change text size by
scaling.  I implemented this and proposed the code, as
soon as text-scaling was introduced to Emacs. The
suggestion/request was summarily rejected.

The current request (#71085) is in the same vein.  Yes,
you can say there's no bug here, because text scaling,
as provided so far, is independent of windows, margins,
etc.

Nevertheless, some users might find it useful to be
able to resize such things when they resize the text.
Think _enhancement request_, not bug per se.

See also "bugs" 7342, 8379, 19194, 39901, 48307,
56357, 57313.